apiVersion: v1
kind: PersistentVolume
metadata:
  annotations:
    pv.kubernetes.io/provisioned-by: openshift-storage.rbd.csi.ceph.com
    volume.kubernetes.io/provisioner-deletion-secret-name: rook-csi-rbd-provisioner
    volume.kubernetes.io/provisioner-deletion-secret-namespace: openshift-storage
  creationTimestamp: "2025-10-13T15:25:41Z"
  finalizers:
  - external-provisioner.volume.kubernetes.io/finalizer
  - kubernetes.io/pv-protection
  name: pvc-d4abb89c-8d69-4342-be8c-5a908a22ce9f
  resourceVersion: "30234812"
  uid: ce7d5609-927f-4cb5-9224-8aab5236837e
spec:
  accessModes:
  - ReadWriteOnce
  capacity:
    storage: 2Gi
  claimRef:
    apiVersion: v1
    kind: PersistentVolumeClaim
    name: pvc1
    namespace: yan11
    resourceVersion: "30234732"
    uid: d4abb89c-8d69-4342-be8c-5a908a22ce9f
  csi:
    controllerExpandSecretRef:
      name: rook-csi-rbd-provisioner
      namespace: openshift-storage
    driver: openshift-storage.rbd.csi.ceph.com
    fsType: ext4
    nodeStageSecretRef:
      name: rook-csi-rbd-node
      namespace: openshift-storage
    volumeAttributes:
      clusterID: openshift-storage
      imageFeatures: layering,deep-flatten,exclusive-lock,object-map,fast-diff
      imageFormat: "2"
      imageName: csi-vol-a757aa1c-8cf4-4ead-9578-0b79d592f4eb
      journalPool: ocs-storagecluster-cephblockpool
      mapOptions: krbd:rxbounce
      mounter: rbd
      pool: ocs-storagecluster-cephblockpool
      storage.kubernetes.io/csiProvisionerIdentity: 1758217517674-1506-openshift-storage.rbd.csi.ceph.com
    volumeHandle: 0001-0011-openshift-storage-0000000000000002-a757aa1c-8cf4-4ead-9578-0b79d592f4eb
  persistentVolumeReclaimPolicy: Delete
  storageClassName: ocs-storagecluster-ceph-rbd-virtualization
  volumeMode: Filesystem
status:
  lastPhaseTransitionTime: "2025-10-13T15:25:41Z"
  phase: Bound
